//
//  MarketingSupportSelectionView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 12/11/2024.
//

import SwiftUI

struct MarketingSupportSelectionView: View {
    @State var goToNext: Bool = false

    var body: some View {
        ScrollView {
            Spacer()
                .frame(height: 16)
            // Visit cards
            VStack(alignment: .leading, spacing: 0) {
                SQImage("visit_card_new", height: 200)
                    .cornerRadius(8, corners: [.topLeft, .topRight])
                SQText("Mes cartes de visite", size: 18, font: .bold)
                    .padding(16)
            }
            .overlay(
                RoundedRectangle(cornerRadius: 8)
                .inset(by: 0.5)
                .stroke(Color.sqNeutral(20), lineWidth: 1)
                )
            .onTapGesture {
                self.goToNext.toggle()
            }

            // Flyers
            VStack(alignment: .leading, spacing: 0) {
                SQImage("flyers", height: 200)
                    .cornerRadius(8, corners: [.topLeft, .topRight])
                SQText("Mes prospetus", size: 18, font: .bold)
                    .padding(16)
            }
            .overlay(
                RoundedRectangle(cornerRadius: 8)
                .inset(by: 0.5)
                .stroke(Color.sqNeutral(20), lineWidth: 1)
                )

            // Quotes
            VStack(alignment: .leading, spacing: 0) {
                SQImage("quotes", height: 200)
                    .cornerRadius(8, corners: [.topLeft, .topRight])
                SQText("Mes prospetus", size: 18, font: .bold)
                    .padding(16)
            }
            .overlay(
                RoundedRectangle(cornerRadius: 8)
                .inset(by: 0.5)
                .stroke(Color.sqNeutral(20), lineWidth: 1)
                )
        }
        .scrollIndicators(.hidden)
        .sqNavigationBar(title: "Mes supports de communication")
        .navigationDestination(isPresented: $goToNext) {
            CardTemplateSelectionView()
        }
    }
}

#Preview {
    MarketingSupportSelectionView()
}
